import React, { useEffect, useState } from 'react'
import { useScroll } from '../hooks/useScroll';


export default function ScrollPage() {
  const [ar,setAr] = useState([]);
  const [skipNext,setSkipNext] = useState(0)
  const [loading,setLoading] = useState(false)
  const {isEnd,setIsEnd}  = useScroll();


  useEffect(() => {
    if(isEnd){
      doApi(skipNext);
      setSkipNext(skipNext+10);
    }
  },[isEnd])

  
  
  const doApi = async(_skip) => {
    try{

      setLoading(true);
      let url = `https://api.fda.gov/food/enforcement.json?limit=10&skip=${_skip}`;
      let resp = await fetch(url);
      let data = await resp.json();
      console.log(data.results);
      setAr((ar) => [...ar,...data.results])
      setLoading(false);
      setIsEnd(false);
      
    }
    catch(err){
      console.log(err);
    }
  }

  return (
    <div className='container'>
      <h1 className='display-4'>List of recalls by the F.D.A</h1>
      <div>
        {ar.map(item => {
          return(
            <article key={item.event_id} className='col-md-7 border p-4 my-2'>
              <h2>{item.recalling_firm}</h2>
              <h4>Products type:{item.product_type}</h4>
              <h4>Location:{item.state} {item.city}</h4>
            </article>
          )
        })}
        {loading && <h2>Loading...</h2>}
      </div>
    </div>
  )
}
