import { useEffect, useState } from "react"

export const useScroll = () => {
  const [isEnd,setIsEnd] = useState(true);

  useEffect(() => {
    window.addEventListener("scroll", onScroll);
    return () => {
      console.log("end event");
      window.removeEventListener("scroll", onScroll);
    }
  },[])

  const onScroll = () => {
     let  windowHeight = window.innerHeight;
    // יחזיר את נקודת הוואי של הגלילה לפי החלק הכי עליון
    let  scrollTop = document.documentElement.scrollTop;
    // גובה המסמך כולו
    let docHeight = document.documentElement.offsetHeight;
    // console.log("scroll",windowHeight , scrollTop, docHeight);
    if(Math.ceil(windowHeight + scrollTop) == docHeight){
      // alert("end of screen")
      setIsEnd(true)
    }
  }

  return {isEnd,setIsEnd};
}